Package org.jacoco.agent

## Class AgentJar

- java.lang.Object
- - org.jacoco.agent.AgentJar

    public final class AgentJar
    extends java.lang.Object

API to access the agent JAR file as a resource. While the agent is a JAR file it is considered as a plain resource that must be configured for the application under test (target JVM). The agent JAR does not provide any public Java API.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `extractTo​(java.io.File destination)` Extract the JaCoCo agent JAR and put it into the specified location.
`static java.io.File` `extractToTempLocation()` Extract the JaCoCo agent JAR and put it into a temporary location.
`static java.net.URL` `getResource()` Returns a URL pointing to the JAR file.
`static java.io.InputStream` `getResourceAsStream()` Returns the content of the JAR file as a stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getResource

    public static java.net.URL getResource()

Returns a URL pointing to the JAR file.

Returns:
  URL of the JAR file

#### getResourceAsStream

    public static java.io.InputStream getResourceAsStream()

Returns the content of the JAR file as a stream.

Returns:
  content of the JAR file

#### extractToTempLocation

    public static java.io.File extractToTempLocation()
                                              throws java.io.IOException

Extract the JaCoCo agent JAR and put it into a temporary location. This file should be deleted on exit, but may not if the VM is terminated

Returns:
  Location of the Agent Jar file in the local file system. The file should exist and be readable.
Throws:
  `java.io.IOException` - Unable to unpack agent jar

#### extractTo

    public static void extractTo​(java.io.File destination)
                          throws java.io.IOException

Extract the JaCoCo agent JAR and put it into the specified location.

Parameters:
  `destination` - Location to write JaCoCo Agent Jar to. Must be writeable
Throws:
  `java.io.IOException` - Unable to unpack agent jar